package org.wfc.omada.api.batch.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BatchResponseEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:47:33.899+08:00[Asia/Shanghai]")

public class BatchResponseEntity   {
  @JsonProperty("response")
  @Valid
  private List<OperationResponse> response = null;

  public BatchResponseEntity response(List<OperationResponse> response) {
    this.response = response;
    return this;
  }

  public BatchResponseEntity addResponseItem(OperationResponse responseItem) {
    if (this.response == null) {
      this.response = new ArrayList<>();
    }
    this.response.add(responseItem);
    return this;
  }

  /**
   * A response list
   * @return response
  */
  @ApiModelProperty(value = "A response list")

  @Valid

  public List<OperationResponse> getResponse() {
    return response;
  }

  public void setResponse(List<OperationResponse> response) {
    this.response = response;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchResponseEntity batchResponseEntity = (BatchResponseEntity) o;
    return Objects.equals(this.response, batchResponseEntity.response);
  }

  @Override
  public int hashCode() {
    return Objects.hash(response);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchResponseEntity {\n");
    
    sb.append("    response: ").append(toIndentedString(response)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

